package Config::Restaurants;

use utf8;

# https://www.chaps.cz/files/idos/IDOS-API.pdf
my $bus32 = 'Bus spoj: https://jizdnirady.idnes.cz/brno/spojeni/?f=Botanick%C3%A1&t=Su%C5%A1ilova&submit=true';

our $restaurants = {
    'padthai' => {
        'type' => 'zomato',
        'site_id' => 16506806,
    },
    'everest' => {
        'type' => 'zomato',
        'site_id' => 16506537,
        'aliases' => [qw(eve)],
        'note' => $bus32,
    },
    'himalaya' => {
        'type' => 'zomato',
        'site_id' => 18020959,
        'fallback_url' => 'https://www.facebook.com/pg/hnair68/posts/',
    },
    'himalayahlavak' => {
        'type' => 'showurl',
        'menu_url' => 'https://www.facebook.com/pg/THRABB18/posts/',
        'aliases' => [qw(himalaya2)],
    },
    'ubilehoberanka' => {
        'type' => 'zomato',
        'site_id' => 16506737,
        'aliases' => [qw(beranek bilyberanek uberanka)],
    },
    'selepka' => {
        'type' => 'zomato',
        'site_id' => 16506040,
        'fallback_url' => 'http://www.selepova.cz/denni-menu/',
    },
    'ujekylla' => {
        'type' => 'showurl',
        'menu_url' => 'https://www.facebook.com/senkovnaujekylla/notes/',
        'aliases' => [qw(senkovna jekyll magistr)],
    },
    'suzies' => {
        'type' => 'zomato',
        'site_id' => 18126190,
        'note' => $bus32,
    },
    'cattani' => {
        'type' => 'zomato',
        'site_id' => 16506435,
        'aliases' => [qw(catani katani)],
        'fallback_url' => 'https://www.menicka.cz/3179-cattani---josefska.html',
    },
    'udrevaka' => {
        'type' => 'zomato',
        'site_id' => 16505458,
        'aliases' => [qw(drevak)],
    },
    'freshfreaks' => {
        'type' => 'zomato',
        'site_id' => 16507572,
    },
    'vegalite' => {
        'type' => 'zomato',
        'site_id' => 16506673,
    },
    'siwa' => {
        'type' => 'zomato',
        'site_id' => 18578705,
    },
    'goldennepal' => {
        'type' => 'zomato',
        'site_id' => 18346442,
        'aliases' => [qw(golden gn)],
        'fallback_url' => 'https://www.golden-nepal.cz/denni-menu/',
    },
    'divabara' => {
        'type' => 'zomato',
        'site_id' => 16514047,
        'fallback_url' => 'http://www.restauracedivabara.cz/poledni-menu',
    },
    'annapurna' => {
        'type' => 'showurl',
        'menu_url' => 'http://indicka-restaurace-annapurna.cz/images/tydenijidelnicek/menu.pdf',
        'aliases' => [qw(anapurna)],
    },
    'tivoli' => {
        'type' => 'showurl',
        'menu_url' => 'http://tivolicafe.cz/menu/poledni-menu/',
    },
    'alcapone' => {
        'type' => 'module',
        'module' => 'Obedar::AlCapone',
    },
    'lightofindia' => {
        'type' => 'module',
        'module' => 'Obedar::LightOfIndia',
        'aliases' => [qw(light)],
        'fallback_url' => 'http://www.lightofindia.cz/lang-cs/denni-menu',
    },
    'sabaidy' => {
        'type' => 'module', # existuje i zomato (16512604), ale menu tam nedavaju
        'module' => 'Obedar::Sabaidy',
        'fallback_url' => 'http://www.amphone.eu/poledni-menu',
    },
    'lastrada' => {
        'type' => 'module',
        'module' => 'Obedar::LaStrada',
        'fallback_url' => 'http://lastrada-brno.cz/poledni-menu/',
        'note' => $bus32,
    },
    'nepal' => {
        'type' => 'module',
        'module' => 'Obedar::NepalBrno',
    },
    'klubcestovatelu' => {
        'type' => 'module',
        'module' => 'Obedar::KlubCestovateluBrno',
    },
    'avatar' => {
        'type' => 'module',
        'module' => 'Obedar::Avatar',
    },
    'buddha' => {
        'type' => 'module',
        'module' => 'Obedar::Buddha',
        'note' => $bus32,
    },
    'khaybar' => {
        'type' => 'showurl',
        'menu_url' => 'https://www.facebook.com/pg/Indická-Restaurace-Khaybar-184987895598026/posts/',
    },
    'veselacajovna' => {
        'type' => 'showurl',
        'menu_url' => 'https://www.veselacajovna.cz/tydenni-nabidka/',
    },
    'kantynasfinx' => {
        'type' => 'showurl',
        'menu_url' => 'https://www.kantyna-sfinx.cz/#tydenni-jidelni-listek',
        'aliases' => [qw(sfinx rybenka)],
    },
    'haribol' => {
        'type' => 'nomenu',
    },
    'chutnestesti' => {
        'type' => 'nomenu',
    },
    'lokofu' => {
        'type' => 'nomenu',
    },
    'vietnam' => {
        'type' => 'showurl',
        'menu_url' => 'https://drive.google.com/open?id=11rTYbOZUAOphVS9svpy6EW-nrCs&usp=sharing',
        'aliases' => [qw(pho)],
    },
    'ellas' => {
        'type' => 'nomenu',
    },
    'newbambay' => {
        'type' => 'showurl',
        'menu_url' => 'https://www.facebook.com/newbambay.cz',
        'aliases' => [qw(bambay)],
    },
    'makalu' => {
        'type' => 'showurl',
        'menu_url' => 'http://www.nepalska-restaurace-makalu.cz/#TMenu',
    },
    'lasperanza' => {
        'type' => 'nomenu',
    },
    'indiathali' => {
        'type' => 'showurl',
        'menu_url' => 'https://www.facebook.com/pg/indiathali13/posts/',
    },
    'boulevard' => {
        'type' => 'zomato',
        'site_id' => 16505876,
        'fallback_url' => 'http://www.boulevardrestaurant.cz/poledniacute-menu.html',
    },
    'namaskar' => {
        'type' => 'showurl',
        'menu_url' => 'http://www.namaskar.cz/denni-menu/',
    },
    'bishesgurkha' => {
        'type' => 'showurl',
        'menu_url' => 'http://bishesgurkha.cz/?page_id=804',
        'aliases' => [qw(bishes gurkha)],
    },
    'namaskarsmetanova' => {
        'type' => 'showurl',
        'menu_url' => 'https://www.facebook.com/pg/Namaskarbrno/posts/',
        'aliases' => [qw(namaskar2)],
        'note' => "Pozor, obsahuje i menu Namaskaru Taborska. $bus32",
    },
    'jednabasen' => {
        'type' => 'zomato',
        'site_id' => 16506578,
        'fallback_url' => 'http://www.jedna-basen.cz/bar/denni-menu/',
        'aliases' => [qw(basen)],
    },
    'singha' => {
        'type' => 'showurl',
        'menu_url' => 'https://www.facebook.com/pg/singhabrno/posts/',
    },
    'tao' => {
        'type' => 'showurl',
        'menu_url' => 'https://www.facebook.com/pg/Táo-Viet-Nam-Home-Cooking-Sushi-Bar-1857934510936812/posts/',
    },
    'padagali' => {
        'type' => 'showurl',
        'menu_url' => 'http://padagali.cz/denni-menu/',
    },
    'lloyds' => {
        'type' => 'zomato',
        'site_id' => 16506456,
        'fallback_url' => 'http://restauracelloyds.cz/menu-2/denni-menu/',
        'aliases' => [qw(lloyd)],
    },
    'tasteofindia' => {
        'type' => 'showurl',
        'menu_url' => 'https://www.taste-of-india.cz/#daily-menu',
        'aliases' => [qw(taste)],
    },
};

1;
